org.apache.felix.ipojo.dependency.impl

## Class ServiceReferenceManager.ChangeSet

- java.lang.Object
- - org.apache.felix.ipojo.dependency.impl.ServiceReferenceManager.ChangeSet

Enclosing class:
  ServiceReferenceManager

    public class ServiceReferenceManager.ChangeSet
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<org.osgi.framework.ServiceReference>` `arrivals`
`java.util.List<org.osgi.framework.ServiceReference>` `departures`
`org.osgi.framework.ServiceReference` `modified`
`org.osgi.framework.ServiceReference` `newFirstReference`
`org.osgi.framework.ServiceReference` `oldFirstReference`
`java.util.List<org.osgi.framework.ServiceReference>` `selected`
`java.lang.Object` `service`

### Constructor Summary

Constructors
Constructor and Description
`ChangeSet(java.util.List<org.osgi.framework.ServiceReference> selectedServices, java.util.List<org.osgi.framework.ServiceReference> departures, java.util.List<org.osgi.framework.ServiceReference> arrivals, org.osgi.framework.ServiceReference oldFirst, org.osgi.framework.ServiceReference newFirst, java.lang.Object service, org.osgi.framework.ServiceReference modified)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### selected

    public final java.util.List<org.osgi.framework.ServiceReference> selected

#### departures

    public final java.util.List<org.osgi.framework.ServiceReference> departures

#### arrivals

    public final java.util.List<org.osgi.framework.ServiceReference> arrivals

#### oldFirstReference

    public final org.osgi.framework.ServiceReference oldFirstReference

#### newFirstReference

    public final org.osgi.framework.ServiceReference newFirstReference

#### service

    public final java.lang.Object service

#### modified

    public final org.osgi.framework.ServiceReference modified

### Constructor Detail

#### ChangeSet

    public ChangeSet(java.util.List<org.osgi.framework.ServiceReference> selectedServices,
                     java.util.List<org.osgi.framework.ServiceReference> departures,
                     java.util.List<org.osgi.framework.ServiceReference> arrivals,
                     org.osgi.framework.ServiceReference oldFirst,
                     org.osgi.framework.ServiceReference newFirst,
                     java.lang.Object service,
                     org.osgi.framework.ServiceReference modified)